<!DOCTYPE html>
<html lang="en">

<head>
    <meta charset="UTF-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title>Profile</title>
    <link rel="stylesheet" href="https://maxcdn.bootstrapcdn.com/bootstrap/4.5.2/css/bootstrap.min.css">
    <script src="https://ajax.googleapis.com/ajax/libs/jquery/3.6.0/jquery.min.js"></script>
    <script src="https://maxcdn.bootstrapcdn.com/bootstrap/4.5.2/js/bootstrap.min.js"></script>
    <link rel="stylesheet" href="style.css">
    <!-- Import DataTable Library -->
    <link rel="stylesheet" href="https://cdn.datatables.net/1.10.24/css/dataTables.bootstrap4.min.css">
    <script src="https://cdn.datatables.net/1.10.24/js/jquery.dataTables.min.js"></script>
    <script src="https://cdn.datatables.net/1.10.24/js/dataTables.bootstrap4.min.js"></script>
    <link rel="stylesheet" href="https://cdnjs.cloudflare.com/ajax/libs/font-awesome/6.4.0/css/all.min.css">

</head>

<body>
    <header>
        <nav>

            <ul class="d-flex justify-content-around align-items-center menu">
                <li>
                    <img src="./image/logo.svg" alt="">
                </li>
                <li><a href="./Home.html">Home</a></li>
                <li><a href="./Apartment.html">Properties</a></li>
                <li><a href="./About.html">About</a></li>
                <li><a href="">Agency</a></li>
                <li><a href="">Blog</a></li>
                <li><a href="./Contact.html">Contact</a></li>
                <li>
                    <a href="./Login.html"><img src="./image/avater.png" alt=""></a>

                </li>
                <li>
                    <a href="./AddProperties.html">
                        <button id="btn-add-property" class="btn p-3">Add property</button>
                    </a>

                </li>
            </ul>
        </nav>
    </header>
    <div class="content mt-5">
        <h1>Frofile</h1>
        <div class="profile">
            <div class="row mb-5">
                <div class="col-view col-sm-4 text-center my-col" style="height: 300px;">
                    <img src="./image/avater.png" alt="">
                    <p id="user-profile">Tom</p>
                    <p>Software Engineer</p>
                    <hr>
                    <p id="user-profile-email">Email</p>
                    <hr>


                </div>
                <div class="col-sm-1">

                </div>
                <div class="col-setting col-sm-7">
                    <h4 class="mb-5">Setting</h4>
                    <div class="row">
                        <div class="col-sm-3">
                            <label for="">Contact Name</label>
                        </div>
                        <div class="col-sm-9">
                            <input type="text" class="form-control" name="" id="">
                        </div>
                    </div>
                    <div class="row mt-3">
                        <div class="col-sm-3">
                            <label for="">Email</label>
                        </div>
                        <div class="col-sm-9">
                            <input type="text" class="form-control" name="" id="">
                        </div>
                    </div>
                    <div class="row mt-3">
                        <div class="col-sm-3">
                            <label for="">Address</label>
                        </div>
                        <div class="col-sm-9">
                            <input type="text" class="form-control" name="" id="">
                        </div>
                    </div>
                    <div class="row mt-3">
                        <div class="col-sm-3">
                            <label for="">Mobile</label>
                        </div>
                        <div class="col-sm-9">
                            <input type="text" class="form-control" name="" id="">
                        </div>
                    </div>
                    <div class="row mt-3">
                        <div class="col-sm-3">
                            <label for="">Email</label>
                        </div>
                        <div class="col-sm-9">
                            <input type="text" class="form-control" name="" id="">
                        </div>
                    </div>
                    <div class="row mt-3">
                        <div class="col-sm-3">
                            <label for="">Note</label>
                        </div>
                        <div class="col-sm-9">
                            <input type="text" class="form-control" name="" id="">
                        </div>
                    </div>
                    <div class="row mt-3">
                        <div class="col-sm-3">
                            <label for="">Realestate</label>
                        </div>
                        <div class="col-sm-9">
                            <input type="text" class="form-control" name="" id="">
                        </div>
                    </div>
                    <div class="row mt-3">
                        <button class="btn btn-success form-control">Save</button>
                    </div>



                </div>
            </div>
        </div>

        <div class="row mt-5" style="width: 100%;">
            <div class="col-sm-12">
                <h1 class="ml-2">Realestate Of Customer</h1>
            </div>
            <div class="col-sm-12 ml-2">
                <table class="table mt-5" id="table-real">
                    <thead>
                        <tr>

                            <th>STT</th>

                            <th>Title</th>
                            <th>Type</th>
                            <th>Request</th>
                            <th>Address</th>
                            <th>price</th>
                            <th>Acreage</th>
                            <th>Total floor</th>

                            <th>bath</th>
                            <th>bedroom</th>
                            <th>Description</th>
                            <th>Photo</th>

                            <th>Status</th>
                            <th>action</th>

                        </tr>
                    </thead>

                </table>
            </div>

        </div>
        <!-- modal Update Realestate -->
        <div id="modal-up" class="modal" tabindex="-1" role="dialog">
            <div class="modal-dialog" role="document">
                <div class="modal-content">
                    <div class="modal-header">
                        <h5 class="modal-title">Update Realestate</h5>
                        <button type="button" class="close" data-dismiss="modal" aria-label="Close">
                            <span aria-hidden="true">&times;</span>
                        </button>
                    </div>
                    <div class="modal-body">
                        <label for="">title</label>
                        <input class="form-control" type="text" name="" id="inp-title">
                        <label for="">Type</label>
                        <select class="form-control" name="" id="select-type">
                            <option value="0">Land</option>
                            <option value="1">House</option>
                            <option value="2">Apartment</option>
                            <option value="3">Office</option>
                            <option value="4">Bussiness</option>
                            <option value="5">Motel</option>

                        </select>
                        <label for="">Request</label>
                        <select class="form-control" name="" id="select-request">
                            <option value="0">For sale</option>
                            <option value="1">Need To Purcharse</option>
                            <option value="2">For Rent</option>
                            <option value="3">Need To Rent</option>
                        </select>
                        <label for="">Address</label>
                        <input class="form-control" type="text" name="" id="inp-address">
                        <label for="">Price</label>
                        <input class="form-control" type="text" name="" id="inp-price">
                        <label for="">Acreage</label>
                        <input class="form-control" type="text" name="" id="inp-area">
                        <label for="">Total Floor</label>
                        <input class="form-control" type="number" name="" id="inp-floor">
                        <label for="">Bath</label>
                        <input class="form-control" type="number" name="" id="inp-bath">
                        <label for="">Bedroom</label>
                        <input class="form-control" type="number" name="" id="inp-bed">
                        <label for="">Description</label>
                        <input class="form-control" type="text" name="" id="inp-des">
                        <label for="">Photo</label>
                        <input class="form-control" type="file" name="" id="inp-photo">

                    </div>
                    <div class="modal-footer">
                        <button id="btn-save-up" type="button" class="btn btn-primary">Save changes</button>
                        <button type="button" class="btn btn-secondary" data-dismiss="modal">Close</button>
                    </div>
                </div>
            </div>
        </div>
        <!-- modal delete -->
        <div id="modal-delete" class="modal" tabindex="-1" role="dialog">
            <div class="modal-dialog" role="document">
                <div class="modal-content">
                    <div class="modal-header">
                        <h5 class="modal-title">Delete Realestate</h5>
                        <button type="button" class="close" data-dismiss="modal" aria-label="Close">
                            <span aria-hidden="true">&times;</span>
                        </button>
                    </div>
                    <div class="modal-body">


                    </div>
                    <div class="modal-footer">
                        <button id="btn-save-delete" type="button" class="btn btn-primary">Save changes</button>
                        <button type="button" class="btn btn-secondary" data-dismiss="modal">Close</button>
                    </div>
                </div>
            </div>
        </div>










    </div>
    <footer>
        <div class="row footer">
            <div class="col-sm-3">
                <img src="./image/logo.svg" alt="">
                <p class="mt-4">Properties are most budget friendly so you have are find opportunity is main
                    responsibility to
                    clients</p>
                <p>© CodeCarnival. All Rights Reserved - Privacy Policy</p>
            </div>

            <div class="col-sm-3 pl-5 ml-5 foot-a">
                <p class="foot-title ">Information.</p>
                <p><a class="" href="">About us</a></p>
                <p><a href="">Properties</a></p>
                <p><a class="" href="">Careers</a></p>
                <p><a href="">Payment</a></p>
                <p><a href="">Blog Post</a></p>






            </div>
            <div class="col-sm-3 foot-a ">
                <p class="foot-title">Support.</p>
                <p><a href="">Add Properties</a></p>
                <p> <a href="">Times & Conditions</a></p>
                <p> <a href="">Help Line</a></p>
                <p><a href="">Our Agents</a></p>
                <p> <a href="">Features</a></p>



            </div>
            <div class="col-sm-2">
                <p class="foot-title">Address.</p>
                <p>2104 Charmaine Lane Amarillo, New York</p>
            </div>


        </div>



    </footer>

</body>
<script>
    "use strict";
    /*** REGION 1 - Global variables - Vùng khai báo biến, hằng số, tham số TOÀN CỤC */
    const gCOL_NAME = ["STT", "title", "type", "request", "address", "price", "acreage", "totalFloors", "bath", "bedroom", "description", "photo", "status", "action"]
    var gSTT = 0;
    const gBASE_URL = "http://localhost:8080/";
    // Lấy giá trị user_id từ LocalStorage
    var accessToken = localStorage.getItem('token');
    var vIdUser = localStorage.getItem('user_id')

    /*** REGION 2 - Vùng gán / thực thi sự kiện cho các elements */
    $(document).ready(function () {
        $("#table-real").DataTable({
            columns: [
                { data: gCOL_NAME[0] },
                { data: gCOL_NAME[1] },
                { data: gCOL_NAME[2] },
                { data: gCOL_NAME[3] },
                { data: gCOL_NAME[4] },
                { data: gCOL_NAME[5] },
                { data: gCOL_NAME[6] },
                { data: gCOL_NAME[7] },
                { data: gCOL_NAME[8] },
                { data: gCOL_NAME[9] },
                { data: gCOL_NAME[10] },
                { data: gCOL_NAME[11] },
                { data: gCOL_NAME[12] },
                { data: gCOL_NAME[13] },



            ],
            columnDefs: [
                {
                    targets: 0,
                    render: function changeStt() {
                        return gSTT++;
                    }
                },
                {
                    targets: 13,
                    defaultContent: '<button class="btn btn-success mb-2 btn-update">Update</button>' + '<button class="btn btn-danger btn-delete">Delete</button>'
                },
                {
                    targets: 2,
                    render: function changeType(data) {
                        if (data == 0) {
                            return "Land";
                        }
                        else if (data == 1) {
                            return "Home"
                        }
                        else if (data == 2) {
                            return "Apartment";
                        }
                        else if (data == 3) {
                            return "Office";
                        }
                        else if (data == 4) {
                            return "Bussiness";
                        }
                        else if (data == 5) {
                            return "Motel";
                        }
                    }
                },
                {
                    targets: 3,
                    render: function changeType(data) {
                        if (data == 0) {
                            return "For Sale";
                        }
                        else if (data == 1) {
                            return "Need To Purcharse"
                        }
                        else if (data == 2) {
                            return "For Rent";
                        }
                        else if (data == 3) {
                            return "Need To Rent";
                        }

                    }
                },
                {
                    targets: 12,
                    render: function changeStatus(data) {
                        if (data == 0) {
                            return '<button class="btn btn-warning">Pending</button>'
                        }
                        else if (data == 1) {
                            return '<button class="btn btn-success">Approved</button>'
                        }

                    }
                },

            ]
        })


        onLoadDataTable();
        $("#table-real").on("click", ".btn-update", function () {
            var vData = getDataRowTable(this);


            $("#modal-up").modal('show');
            onFillDataUpdate(vData);
            $("#btn-save-up").on("click", function () {
                onBtnUpdateReal(vData.id);
            })

        })
        $("#table-real").on("click", ".btn-delete", function () {
            var vData = getDataRowTable(this);


            $("#modal-delete").modal('show');
            $("#btn-save-delete").on("click", function () {
                onBtnDeleteReal(vData.id);
            })
        })
    })
    /*** REGION 3 - Event handlers - Vùng khai báo các hàm xử lý sự kiện */

    function onDrawData(paramData) {
        gSTT = 0;
        var vTable = $("#table-real").DataTable();
        vTable.clear();
        vTable.rows.add(paramData);
        vTable.draw();
    }
    function onLoadDataTable() {
        $.ajax({
            url: gBASE_URL + "users/user/" + vIdUser,
            type: "GET",
            headers: { "Authorization": "Bearer " + accessToken },
            success: function (paramRes) {

                onDrawData(paramRes.realestates);
                $("#user-profile").html(paramRes.username);
                $("#user-profile-email").html(paramRes.email);

                console.log(paramRes);
            },
            error: function (paramErr) {
                alert(paramErr.status);
            }
        })
    }
    function onBtnUpdateReal(vId) {
        var vObj = {
            title: "",
            type: 0,
            request: 0,
            address: "",
            price: 0,
            priceMin: 0,
            priceTime: 0,
            dateCreate: "",
            acreage: 0,
            direction: 3,
            totalFloors: 0,
            numberFloors: 0,
            bath: 0,
            apartCode: "",
            wallArea: 0.0,
            bedroom: 0,
            balcony: 0,
            landscapeView: "",
            apartLoca: 0,
            partType: 0,
            furnitureType: 0,
            priceRent: 12,
            returnRate: 0.0,
            legalDoc: 0,
            description: "",
            withY: 0,
            longX: 0,
            streetHouse: 0,
            viewNum: 0,
            createBy: 0,
            updateBy: 0,
            shape: null,
            distance2facade: 0,
            adjacentFacadeNum: 0,
            adjacentRoad: null,
            alleyMinWidth: 0,
            adjacentAlleyMinWidth: 0,
            factor: 0,
            structure: null,
            photo: "",
            lat: 0.0,
            lng: 0.0,
            fsbo: 0,
            clcl: 0,
            dtsxd: 0,
            ctxdprice: 0,
            ctxdvalue: 0


        }
        thuThapThongTin(vObj);
        $.ajax({
            url: gBASE_URL + "realestate/" + vId,
            type: "PUT",
            headers: { "Authorization": "Bearer " + accessToken },
            data: JSON.stringify(vObj),
            contentType: "application/json; charset=utf-8",
            success: function (paramRes) {
                alert("update Realestate success");
                location.reload();

            },
            error: function (paramErr) {
                alert(paramErr.status);
            }
        })
    }
    function onBtnDeleteReal(vId) {
        $.ajax({
            url: gBASE_URL + "realestate/" + vId,
            type: "DELETE",
            headers: { "Authorization": "Bearer " + accessToken },

            success: function (paramRes) {
                alert("Delete success");
                location.reload();

            },
            error: function (paramErr) {
                alert(paramErr.status);
            }
        })
    }

    /*** REGION 4 - Common funtions - Vùng khai báo hàm dùng chung trong toàn bộ chương trình*/
    function thuThapThongTin(paramObj) {
        paramObj.title = $("#inp-title").val();
        paramObj.type = $("#select-type").val();
        paramObj.description = $("#inp-des").val();
        paramObj.price = $("#inp-price").val();


        paramObj.address = $("#inp-address").val();

        paramObj.request = $("#select-request").val();

        paramObj.acreage = $("#inp-area").val();
        paramObj.bedroom = $("#inp-bed").val();
        paramObj.bath = $("#inp-bath").val();
        paramObj.totalFloors = $("#inp-floor").val();
        var filePath = $("#inp-photo").val();
        var fileName = filePath.replace(/^.*\\/, "");

        paramObj.photo = fileName;
    }
    function getDataRowTable(paramElement) {

        var vTable = $("#table-real").DataTable();
        var vRow = $(paramElement).closest("tr");
        var vData = vTable.row(vRow).data();
        return vData;
    }
    function onFillDataUpdate(paramData) {
        $("#inp-title").val(paramData.title);
        var vType = paramData.type;
        if (vType == 0) {
            $('#select-type :selected').text("Land");
        }
        else if (vType == 1) {
            $('#select-type :selected').text("Home");
        }
        else if (vType == 2) {
            $('#select-type :selected').text("Apartment");
        }
        else if (vType == 3) {
            $('#select-type :selected').text("Office");
        }
        else if (vType == 4) {
            $('#select-type :selected').text("Bussiness");
        }
        else if (vType == 5) {
            $('#select-type :selected').text("motel");
        }


        $("#inp-des").val(paramData.description);
        $("#inp-price").val(paramData.price);


        $("#inp-address").val(paramData.address);



        $("#inp-area").val(paramData.acreage);
        $("#inp-bed").val(paramData.bedroom);
        $("#inp-bath").val(paramData.bath);
        $("#inp-floor").val(paramData.totalFloors);

    }

</script>


</html>